Bug 4567 - freeze or reboots during untarring of large tgz file
freeze or reboots during untarring of large tgz file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-17 09:22 EDT by mikec
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mikec 1999-08-17 09:22:30 EDT
We have a machine that has been running as a server running
5.2
for about a year under heavy use.  We upgraded it to 6.0.
During
a restoration of files from our backups, we experienced
spontaneous reboots or hard freezes.  We were able to repeat
the
problem reliably and narrowed it down to an untarring of
selected files from an archive.

Details:

The command that kills the machine is:

as root:
cd /
tar xvpzf /backups/piano-home.tgz -T /backups/t2

where /backups/piano-home.tgz is a 2 GB file (slightly under
2^31
bytes, so it fits within the size limits) that is a tarred
and
gziped file of the home directories.  /backups/t2 is a
selected
list of files, including dot files, for a particular user.

If that user uses KDE as their desktop, and is using NFS/NIS
for
their home directories on another server, and they restore
their
dot files, then the system will either freeze hard (no
pings, no
ctrl alt del, must reset to reboot) or spontaneously reboot.
There are no relevant core dumps, kernel panics, or log
messages
of note.  Curiously, the reboot/freeze seems to happen well
before any of the files are found in the archive, so the
problem
seems unrelated to the actual restoration of files, but to
the
process of going through the big tar file.

Mike Ciholas                            (812) 858-1355 voice
CIHOLAS Enterprises                     (812) 858-1360 fax
5855 Fiesta Drive                       mikec@flownet.com
Newburgh, IN 47630                      mikec@ciholas.com
Comment 1 Preston Brown 1999-08-27 20:23:59 EDT
please try the kernel and tar packages from RawHide
(rawhide.redhat.com) and report if the problem persists.

Note You need to log in before you can comment on or make changes to this bug.